/* Move down content because we have a fixed navbar that is 50px tall */


.navbar-custom {
    background-color:#e74c3c;
    color:#ffffff;
    border-radius:0;    
}

.angular-validate-error {
	color: #ee0101;
}

.navbar-custom .navbar-nav > li > a {
    color:#fff;
}
.navbar-custom .navbar-nav > .active > a, .navbar-nav > .active > a:hover, .navbar-nav > .active > a:focus {
    color: #ffffff;
    background-color:transparent;
}
.navbar-custom .navbar-brand {
    color:#eeeeee;
}

#container {
	border: 6px;
}
/* form styling */
#form-container                { 
	background:#ffffff;
	margin-bottom:20px;    
 
}
#form-container .page-header   {
	background:#ffffff; 
	margin:0; 
	padding:20px; 
    border-top-left-radius:0px; 
    border-top-right-radius:0px; 
}


.btn-primary {
    background-color: #e74c3c;
    border-color: #e04030;
}


.btn-secondary {
    background-color: #a1a1a1;
    border-color: #a1a1a1;
}

.backgroundColor{
	 background-color: #e0e0e0 !important;
    border-color: #e0e0e0 !important;
}

 .btn-secondary.active,
.btn-secondary.focus,
.btn-secondary:active,
.btn-secondary:focus,
.btn-secondary:hover {
    background-color: #d02c1a;
    border-color: #c52918;	
} 

.btn-primary.active,
.btn-primary.focus,
.btn-primary:active,
.btn-primary:focus,
.btn-primary:hover {
    background-color: #d02c1a;
    border-color: #c52918;	
}

.overlay {
    position: fixed;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 999;
    opacity: 1
}

.options-title {
	font-weight: bold;
	color: #666;		
}

hr { 
	background-color: #D0D0D0;
	height: 1px;
}

.line-linkage {
    width: 93px;
    border: 1px solid #0d99ff;
    position: relative;
    top:16px;
    left:70px;
    z-index:0;    
}

.line-linkage-grey {
    width: 93px;
    border: 1px solid #d3d3d3;
    position: relative;
    top:16px;
    left:70px;
    z-index:0;    
}

.line-over {    
	z-index: 200;
}

.trackProgress {
    width: 100%;
    margin-left: auto ;
    margin-right: auto ;    
}
.trackProgress ul {
    list-style-type: none; /*to remove bullets*/
    text-align: center;
    padding: 0px;
    zoom:1;    
    overflow: hidden;
}
.trackProgress li{
    padding: 0px;
    width: 120px;
    display:inline-block;
}

/* numbered buttons */
#status-buttons                 {  }
#status-buttons ul              { margin-bottom: 0px; }
#status-buttons a               { color:#0d99ff; display:inline-block; font-size:12px; margin-right:10px; text-align:center; text-transform:uppercase; }
#status-buttons a:hover         { text-decoration:none; }

/* we will style the span as the circled number */
#status-buttons span            { color:#FFF; background:#0d99ff; display:block; height:30px; margin:0 auto 10px; padding-top:7px; width:30px; 
    border-radius:50%; }


/* active buttons turn light green-blue*/
#status-buttons a.active span   { background:#e74c3c; }


/* ANIMATION STYLINGS
============================================================================= */
#cruce-form            { position:relative; min-height:150px; overflow:hidden; padding:30px 30px 5px; }
#form-views             { width:auto; }

/* basic styling for entering and leaving */
/* left and right added to ensure full width */

#form-views.ng-enter,
#form-views.ng-leave      { position:absolute; left:30px; right:30px;
    transition:0.3s all ease; -moz-transition:0.3s all ease; -webkit-transition:0.3s all ease; 
}

/* enter animation */

#form-views.ng-enter            { 
    -webkit-animation:slideInRight 0.3s both ease;
    -moz-animation:slideInRight 0.3s both ease;
    animation:slideInRight 0.3s both ease; 
}

/* leave animation */

#form-views.ng-leave            { 
    -webkit-animation:slideOutLeft 0.3s both ease;
    -moz-animation:slideOutLeft 0.3s both ease;
    animation:slideOutLeft 0.3s both ease;   
}


/* ANIMATIONS
============================================================================= */
/* slide out to the left */
@keyframes slideOutLeft {
    to      { transform: translateX(-200%); }
}
@-moz-keyframes slideOutLeft {  
    to      { -moz-transform: translateX(-200%); }
}
@-webkit-keyframes slideOutLeft {
    to      { -webkit-transform: translateX(-200%); }
}

/* slide in from the right */
@keyframes slideInRight {
    from    { transform:translateX(200%); }
    to      { transform: translateX(0); }
}
@-moz-keyframes slideInRight {
    from    { -moz-transform:translateX(200%); }
    to      { -moz-transform: translateX(0); }
}
@-webkit-keyframes slideInRight {
    from    { -webkit-transform:translateX(200%); }
    to      { -webkit-transform: translateX(0); }
}


/*******************************
* MODAL AS LEFT/RIGHT SIDEBAR
* Add "left" or "right" in modal parent div, after class="modal".
*******************************/
.modal.left .modal-dialog, .modal.right .modal-dialog {
	position: fixed;
	margin: auto;
	width: 60%;
	height: 100%;
	-webkit-transform: translate3d(0%, 0, 0);
	-ms-transform: translate3d(0%, 0, 0);
	-o-transform: translate3d(0%, 0, 0);
	transform: translate3d(0%, 0, 0);
}

.modal.left .modal-content, .modal.right .modal-content {
	height: 100%;
	overflow-y: auto;
}

.modal.left .modal-body, .modal.right .modal-body {
	padding: 15px 15px 60px;
	padding-top: 10px;
}

/*Left*/
.modal .left .fade .modal-dialog{
left:-320 px;-webkit-transition:
opacity 0 .3s linear,left 0 .3s ease-out;
-moz-transition:opacity 0 .3s linear,left 0 .3s ease-out;
-o-transition:opacity 0 .3s linear,left 0 .3s ease-out;
transition:opacity 0 .3s linear,left 0 .3s ease-out}

.modal.left.fade.in .modal-dialog {
	left: 0;
}

/*Right*/
.modal .right .fade .modal-dialog {
	right: -60%;
	-webkit-transition: opacity 0.3s linear, right 0.3s ease-out;
	-moz-transition: opacity 0.3s linear, right 0.3s ease-out;
	-o-transition: opacity 0.3s linear, right 0.3s ease-out;
	transition: opacity 0.3s linear, right 0.3s ease-out;
}

.modal.right.fade.in .modal-dialog {
	right: 0;
}




.modal-header {
	padding: 10px 15px;
	border-bottom: 1px solid #e5e5e5;
}

.modal-title {
	font-family: 'Raleway';
	font-size: 13px;
	color: #f56a05 !important;
	font-weight: 600;
	text-transform: none;
	text-transform: uppercase;
}

.modal-backdrop {
	z-index: auto;
}

.modal-dialog {
	margin: 60px auto;
}

.modal-content {
	border-radius: 0px;
	color: #777;
	font-weight: 500;
}
/*.modal-content hr { margin-top: 5px; margin-bottom: 5px; border: 0; border-top: 1px solid #999;}
.modal-header {border-bottom: 1px solid #29b6f6;}*/
.modal-footer {
	border-top: 1px solid #e5e5e5;
	background-color: #FAFAFA; /* position: fixed; */
	bottom: 0px;
	width: 100%;
}

.modal-body h5 {
	color: #212121 !important;
	font-size: 13px;
}
/* === Editor === */
.modal-body .cke_chrome {
	border: 0px solid #d1d1d1 !important;
	margin: 0px -15px !important;
}

.modal-body .cke_top {
	border-bottom: none !important;
}

.model-date.right .modal-date-dialog {
	position: fixed;
	margin: auto;
	width: 320px !important;
	-webkit-transform: translate3d(0%, 0, 0);
	-ms-transform: translate3d(0%, 0, 0);
	-o-transform: translate3d(0%, 0, 0);
	transform: translate3d(0%, 0, 0);
	right: 0;
}

.model-date.left .model-date-content, .model-date.right .modal-content {
	overflow-y: auto;
}

.model-date.left .modal-body, .modal.right .modal-date-body {
	padding: 15px 15px 50px;
}

/*Right*/
.modal-date.right.fade .modal-date-dialog {
	right: -320px;
	-webkit-transition: opacity 0.3s linear, bottom 0.3s ease-out;
	-moz-transition: opacity 0.3s linear, bottom 0.3s ease-out;
	-o-transition: opacity 0.3s linear, bottom 0.3s ease-out;
	transition: opacity 0.3s linear, bottom 0.3s ease-out;
}

.modal-date.right.fade.in .modal-date-dialog {
	right: 28%;
	box-shadow: 0px;
}

.modal-date-content {
	border-radius: 0;
	border: none;
	width: 400px;
	position: fixed;
	bottom: 70px;
}

.modal-date-header {
	border-bottom-color: #EEEEEE;
	background-color: #FAFAFA;
}

.modal-date.left .modal-date-content, .modal-date.right .modal-date-content
	{
	height: 170px;
	right: 0;
	-webkit-box-shadow: 0 0px 0px rgba(0, 0, 0, 0);
	-moz-box-shadow: 0 0px 0px rgba(0, 0, 0, 0);
	-o-box-shadow: 0 0px 0px rgba(0, 0, 0, 0);
	box-shadow: 0 0px 0px rgba(0, 0, 0, 0);
	border: 1px solid #b5b6b7;
	overflow-y: hidden;
}
